Create organization

Creates a new organization under the authenticated admin user's client application. The response body is the newly created organization, equivalent to calling GET /organizations/{organizationId} with the same include parameters. Returns 400 when required fields (name) is missing or invalid. Returns 404 when templateOrganizationId references an organization that does not exist.

Query Params
string

String. Comma-separated list of optional data sections to include in the response. Accepted values: address, invoiceDetails, settings, design, partner.

Body Params
string
required
length ≤ 255

Display name of the new organization. String with maximum length of 255 characters.

string | null

Caller-supplied identifier used to address this organization from an external system. Must be unique within the client application. Omit if not needed. String with maximum length of 255 characters.

string | null

Organization registration number (VAT/company number). String with maximum length of 255 characters.

string | null

Main phone number of the organization. String with maximum length of 255 characters.

date-time | null

ISO 8601 timestamp until which Findity support staff has elevated access to this organization.

boolean | null

Whether events from this organization are sent to the external system.

string | null

ISO 3166-1 alpha-2 country code for the organization's home country. Defaults to the template organization's country when omitted.

string | null

ISO 3166-1 alpha-2 country code used to configure accounting settings. Defaults to the template organization's value when omitted.

string | null

Internal ID or externalSourceId of a template organization to use as a configuration baseline. When omitted the default template for the client application is used.

Responses

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json